Video

About

Description

Retrieve metadata for a YouTube video, including its title, description, duration, and engagement metrics.

Endpoint

GET api/v1/realtime/social/youtube/v1/video/{videoId}/about

Parameters

Param
Required
Param Type
Description

videoId

Yes

Path Param

String | The video ID

chevron-rightExample Requesthashtag
curl -X GET 'https://api.webit.live/api/v1/realtime/social/youtube/v1/video/u9Dg-g7t2l4/about' \
--header 'Authorization: Basic <credential string>'
chevron-rightExample Responsehashtag
{
    "id": "u9Dg-g7t2l4",
    "url": "https://www.youtube.com/watch?v=u9Dg-g7t2l4",
    "title": "Disturbed  - The Sound Of Silence (Official Music Video) [4K UPGRADE]",
    "description": "New album Divisive out now: https://Disturbed.lnk.to/Divisive\n\n🔔 Subscribe to the channel: https://youtube.com/c/DisturbedTV/?sub_confirmation=1\n\nSee Disturbed live: https://Disturbed.lnk.to/tourdatesAY\n\nFollow Disturbed:\nOfficial Website - https://disturbed1.com\nFacebook - https://facebook.com/disturbed\nTwitter - https://twitter.com/disturbed\nInstagram - https://instagram.com/disturbed\nTikTok - https://www.tiktok.com/@disturbed\nSpotify - https://smarturl.it/disturbed.spotify\n\nLyrics:\nHello, darkness, my old friend\nI've come to talk with you again\nBecause a vision softly creeping\nLeft its seeds while I was sleeping\n\nAnd the vision that was planted in my brain\nStill remains\nWithin the sound of silence\n\nIn restless dreams I walked alone\nNarrow streets of cobblestone\n'Neath the halo of a street lamp\nI turned my collar to the cold and damp\n\nWhen my eyes were stabbed by the flash of a neon light\nThat split the night\nAnd touched the sound of silence\n\nAnd in the naked light I saw\nTen thousand people, maybe more\nPeople talking without speaking\nPeople hearing without listening\n\nPeople writing songs that voices never share\nAnd no one dare\nDisturb the sound of silence\n\n\"Fools,\" said I, \"\"You do not know\nSilence, like a cancer, grows\nHear my words that I might teach you\nTake my arms that I might reach you\"\"\n\nBut my words like silent raindrops fell\nAnd echoed in the wells of silence\n\nAnd the people bowed and prayed\nTo the neon god they made\nAnd the sign flashed out its warning\nIn the words that it was forming\n\nAnd the sign said\n\"The words of the prophets are written on the subway walls\nAnd tenement halls\nAnd whispered in the sound\nOf silence\"\n\n#OfficialMusicVideo #Disturbed #SoundOfSilence #WeAreWarnerRecords",
    "duration": "PT4M22S",
    "thumbnailUrl": "https://i.ytimg.com/vi/u9Dg-g7t2l4/hqdefault.jpg?sqp=-oaymwEmCKgBEF5IWvKriqkDGQgBFQAAiEIYAdgBAeIBCggYEAIYBjgBQAE=&rs=AOn4CLAf7KWH4wwXxTJqY14KzkSQhRw2Dw",
    "publishedAt": "2015-12-08T07:28:55-08:00",
    "likeCount": 6832176,
    "viewCount": 1142106303,
    "availableTranscripts": [
        "en"
    ],
    "youtubeDetectedLanguage": null,
    "category": "Music",
    "channel": {
        "id": "UCveWMJeHgcIUPMnFzd7Vxjg",
        "name": "Disturbed",
        "url": "https://www.youtube.com/channel/UCveWMJeHgcIUPMnFzd7Vxjg",
        "thumbnailUrl": "https://yt3.ggpht.com/g_pkIXKchxL_hKHceaEK3_IxqE8yyRnJ719wRhtARBxNJpHo8mWDc_jj0Jzl1dG2XR86pWEiSA=s250-c-k-c0x00ffffff-no-rj"
    }
}

Transcript

Description

Retrieve the transcript of a YouTube video according to the given language code.

Endpoint

GET api/v1/realtime/social/youtube/v1/video/{videoId}/transcript?languageCode={languageCode}

Parameters

Param
Required
Param Type
Description

videoId

Yes

Path Param

String | The video ID

languageCode

Yes

Query Param

String | The language of the transcript (ISO 639).

chevron-rightExample Requesthashtag
chevron-rightExample Responsehashtag

Comments

Description

Retrieve comments and replies for the specified YouTube video, each comment and reply including the following fields: comment text, author details, and engagement metrics such as like counts and reply counts. Replies are nested under their parent comments and can be fetched using the parent comment’s cursor. Note: YouTube supports only one level of replies — replies to replies are not possible

Endpoint

GET api/v1/realtime/social/youtube/v1/video/{videoId}/comments

Parameters

Param
Required
Param Type
Description

videoId

Yes

Path Param

String | The video ID

sortBy

No

Query Param

String | Sort order. Defaults to Relevance if not set.

cursor

No

Query Param

String | Pagination cursor. Use for subsequent requests.

Limitations

  • Results per request: ~20-10 results.

  • Comments's updatedAt field is the date of the comment's last updated and not the date of the comment's creation.

chevron-rightExample Requesthashtag
chevron-rightExample Responsehashtag

Last updated